Subject: Re: Bogus ‘etc/teams.scm’ usage recommendations?

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 05 Jan 2023 12:03:44 -0500

+CC [email-masked]

Hi,

Simon Tournier <[email-masked]> writes:

> Hi Ludo,
>
> On Tue, 03 Jan 2023 at 23:29, Ludovic Courtès <[email-masked]> wrote:
>
>> The manual recommends this (info "(guix) Teams"):
>>
>>   git send-email --to [email-masked] $(./etc/teams.scm cc mentors) *.patch
>>
>> where:
>>
>> --8<---------------cut here---------------start------------->8---
>> λ ./etc/teams.scm cc mentors
>> --add-header="X-Debbugs-Cc: [email-masked]"
>> --add-header="X-Debbugs-Cc: [email-masked]" …
>> --8<---------------cut here---------------end--------------->8---
>>
>> I believe this cannot work because the shell will split words on each
>> whitespace; IOW, the double quotes above do not have the desired effect.

> Well, IIUC, this part is tracked by #58813 [1].
>
> 1: <http://issues.guix.gnu.org/issue/58813>

Indeed (CC'd).

I thought about not using whitespace in the generated output, but I'm
not sure if Debbugs or email clients in general would care, plus it's a
dirty fix.

With the recent patman integration merged (though do apply #60576 as a
fixup commit), I'm tempted to remove the mentions of git send-email
$(etc/teams.scm cc-members ...) and replace that by 'Further automation
of git send-email and etc/teams.scm is possible via the patman package'.

What do you think?

-- 
Thanks,
Maxim